Summary: Development package for building Applications that use numa
Name: numactl
Version: 2.0.10
Release: r0.0
License: GPL-2.0 & LGPL-2.1
Group: apps
Packager: Wind River <info@windriver.com>
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libnuma.so.1(libnuma_1.1)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6()(64bit)
Requires: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libnuma.so.1()(64bit)
Requires: librt.so.1(GLIBC_2.2.5)(64bit)
Requires: ld-linux-x86-64.so.2()(64bit)
Requires: libc6 >= 2.22
Requires: libnuma.so.1(libnuma_1.2)(64bit)
Requires: libnuma.so.1(libnuma_1.4)(64bit)
Requires: perl
Requires: libnuma.so.1(libnuma_1.3)(64bit)
Requires: librt.so.1()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libnuma.so.1(libnuma_1.1)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libnuma.so.1()(64bit)
Requires(post): librt.so.1(GLIBC_2.2.5)(64bit)
Requires(post): ld-linux-x86-64.so.2()(64bit)
Requires(post): libc6 >= 2.22
Requires(post): libnuma.so.1(libnuma_1.2)(64bit)
Requires(post): libnuma.so.1(libnuma_1.4)(64bit)
Requires(post): perl
Requires(post): libnuma.so.1(libnuma_1.3)(64bit)
Requires(post): librt.so.1()(64bit)
Provides: elf(buildid) = b3409cc028e17100abd1c723829c533220f2a3c7
Provides: elf(buildid) = cfeaec44c7e2782b0aea3b5eafbfe5b4cda60cb6
Provides: elf(buildid) = 2d69943e8460860657ef0bf3b784593636a7e445
Provides: elf(buildid) = 2303607d17d11a6fa96beeef94b79828b078ad72
Provides: elf(buildid) = fca62a34fd3b248846248c6cd83cb1cb789e719c
Provides: elf(buildid) = 79fc183706ce6cebb203305a2ec948e17d308d28
Provides: elf(buildid) = e93c8093d4e3ba5f9c9b2a1c4eed76e8a7b8d700
Provides: libnuma.so.1()(64bit)
Provides: libnuma.so.1(libnuma_1.2)(64bit)
Provides: libnuma.so.1(libnuma_1.4)(64bit)
Provides: libnuma.so.1(libnuma_1.1)(64bit)
Provides: libnuma.so.1(libnuma_1.3)(64bit)

%description
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.

%package -n numactl-dbg
Summary: Development package for building Applications that use numa - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: numactl = 2.0.10-r0.0

%description -n numactl-dbg
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n numactl-staticdev
Summary: Development package for building Applications that use numa - Development files (Static Libraries)
Group: devel
Requires: numactl-dev = 2.0.10-r0.0

%description -n numactl-staticdev
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains static libraries for
software development.

%package -n numactl-dev
Summary: Development package for building Applications that use numa - Development files
Group: devel
Requires: numactl = 2.0.10-r0.0
Suggests: perl-dev
Suggests: libc6-dev

%description -n numactl-dev
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n numactl-doc
Summary: Development package for building Applications that use numa - Documentation files
Group: doc

%description -n numactl-doc
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains documentation.

%package -n numactl-locale
Summary: Development package for building Applications that use numa
Group: apps

%description -n numactl-locale
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.

%post
# numactl - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/bin"
"/usr/lib64/libnuma.so.1.0.0"
"/usr/lib64/libnuma.so.1"
"/usr/bin/numactl"
"/usr/bin/migratepages"
"/usr/bin/numademo"
"/usr/bin/memhog"
"/usr/bin/numastat"
"/usr/bin/migspeed"

%files -n numactl-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libnuma.so.1.0.0"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/numactl"
"/usr/bin/.debug/migratepages"
"/usr/bin/.debug/numademo"
"/usr/bin/.debug/memhog"
"/usr/bin/.debug/numastat"
"/usr/bin/.debug/migspeed"
%dir "/usr/src/debug"
%dir "/usr/src/debug/numactl"
%dir "/usr/src/debug/numactl/2.0.10-r0"
%dir "/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/shm.h"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/distance.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/migratepages.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/numastat.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/util.h"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/syscall.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/rtnetlink.h"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/numaint.h"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/numactl.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/numa.h"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/shm.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/memhog.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/sysfs.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/libnuma.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/util.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/numaif.h"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/rtnetlink.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/sysfs.h"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/affinity.h"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/affinity.c"
"/usr/src/debug/numactl/2.0.10-r0/numactl-2.0.10/migspeed.c"

%files -n numactl-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libnuma.a"

%files -n numactl-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/include"
"/usr/lib64/libnuma.la"
"/usr/lib64/libnuma.so"
"/usr/include/numa.h"
"/usr/include/numaif.h"
"/usr/include/numacompat1.h"

%files -n numactl-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man3"
"/usr/share/man/man8/numastat.8"
"/usr/share/man/man8/numactl.8"
"/usr/share/man/man8/migspeed.8"
"/usr/share/man/man8/migratepages.8"
"/usr/share/man/man3/numa.3"

